﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using JoeScan.JCamNet;

namespace Examples
{
    class Program
    {
        private static int serialNumber = 1465;
        private static int cableId = 0;
        
        static void Main(string[] args)
        {
            DiscoveryResponse response = ScannerConfig.FindScanner(serialNumber);
            System.Console.WriteLine("Base IP Address: {0}, CableId: {1}, Serial Number: {2}",
                    response.BaseIPAddress, response.CableId, response.SerialNumber);

           // don't do this: if multiple scanners respond, you will receive an exception
           // of type JoeScan.JCamNet.ScannerCommunicationException
           
           // response = ScannerConfig.FindScanner(cableId);
           // System.Console.WriteLine("Base IP Address: {0}, CableId: {1}, Serial Number: {2}",
           //         response.BaseIPAddress, response.CableId, response.SerialNumber);   
         
        }
    }
}
