﻿using System;
using System.Net;
using JoeScan.JCamNet;

namespace Examples
{
    class Program
    {
        static void Main(string[] args)
        {
            short[] cableIds = new short[] { 0, 1 , 2};
            IPAddress baseIpAddress = new IPAddress(new byte[] { 192, 168, 1, 150 });
            Scanner[] found = Scanner.Connect(baseIpAddress, cableIds);
            foreach (var scanner in found)
            {
                Console.WriteLine("Connected to Scanner! Serial #: {0}", scanner.SerialNumber);    
            }
            if (cableIds.Length != found.Length)
            {
                Console.WriteLine("Not all CableIds responded.");    
            }
        }
    }
}
